# Originally imported from mageia

%define	major 2
%define libname %mklibname mng %{major}
%define develname %mklibname -d mng
%define staticdevelname %mklibname -d -s mng

Name:		libmng
Version:	2.0.3
Release:	%mkrel 3
Summary:	A library for handling MNG files
License:	Distributable (see LICENSE)
Group:		System/Libraries
URL:		https://sourceforge.net/projects/libmng/
Source0:	http://prdownloads.sourceforge.net/libmng/%{name}-%{version}.tar.xz
BuildRequires:	jpeg-devel
BuildRequires:	lcms2-devel
BuildRequires:	zlib-devel

%description
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar.

%package -n	%{libname}
Summary:	A library for handling MNG files
Group:		System/Libraries
Provides:	%{name}

%description -n	%{libname}
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar.

%package -n	%{develname}
Summary:	Header files for libmng
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel mng-devel libmng0.9.3-devel libmng0-devel %{libname}-devel = %{version}-%{release}
Obsoletes:	libmng0.9.3-devel libmng0-devel %{libname}-devel
Conflicts:  libmng1-devel

%description -n	%{develname}
This package contains libmng header files needed for development.

%prep
%setup -q

%build
aclocal; libtoolize -cfi; automake -acf; autoconf
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

install -m644 doc/man/libmng.3 -D %{buildroot}%{_mandir}/man3/libmng.3
install -m644 doc/man/jng.5 -D %{buildroot}%{_mandir}/man5/jng.5
install -m644 doc/man/mng.5 -D %{buildroot}%{_mandir}/man5/mng.5

%files -n %{libname}
%doc CHANGES LICENSE README README.contrib README.examples
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc doc/Plan1.png doc/Plan2.png doc/doc.readme doc/libmng.txt
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man*/*
%{_libdir}/pkgconfig/libmng.pc


%changelog
* Tue Oct 15 2019 tex - 2.0.3-3pclos2019
- rebuild against updates

* Sat Jan 06 2018 bb2 <bb2> - 2.0.3-2pclos2018
- conflict with libmng1-devel

* Tue Jan 02 2018 Zen Subz <techars21 at gmail dot com> - 2.0.3-1pclos2018
- Build for PCLinuxOS
